/// <reference types="react" />
import * as React from 'react'
import { Handler, ErrorHandler, PushEvent } from './baseTypes'
import { Aperture } from './observable'
export interface State {
    replace?: boolean
    props: object
    decoratedProps: object
    children: React.ReactNode | null
}
export declare const withEffects: <P, E, CP = P>(
    handler: Handler<P, E>,
    errorHandler?: ErrorHandler<P>
) => (
    aperture: Aperture<P, E>
) => (
    BaseComponent?: React.ComponentType<
        CP & {
            pushEvent: PushEvent
        }
    >
) => React.ComponentClass<P>
